# Method: projects.secrets.create

- [HTTP request](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1beta1/projects.secrets/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1beta1/projects.secrets/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1beta1/projects.secrets/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1beta1/projects.secrets/create#body.request_body)
- [Response body](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1beta1/projects.secrets/create#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1beta1/projects.secrets/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1beta1/projects.secrets/create#try-it)

Creates a new `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1beta1/projects.secrets#Secret` containing no `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1beta1/projects.secrets.versions#SecretVersion`.

### HTTP request

`POST https://secretmanager.googleapis.com/v1beta1/{parent=projects/*}/secrets`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the project to associate with the `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1beta1/projects.secrets#Secret`, in the format `projects/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `secretmanager.secrets.create` |

### Query parameters

| Parameters ||
|---|---|
| `secretId` | `string` Required. This must be unique within the project. A secret ID is a string with a maximum length of 255 characters and can contain uppercase and lowercase letters, numerals, and the hyphen (`-`) and underscore (`_`) characters. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1beta1/projects.secrets#Secret`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/secret-manager/docs/reference/rest/v1beta1/projects.secrets#Secret`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).